Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.templates
Class TemplateBuffer

    java.lang.Object
      org.eclipse.jface.text.templates.TemplateBuffer

public final class TemplateBuffer
extends Object

A template buffer is a container for a string and variables.

Clients may instantiate this class.

Since:
  3.0

Constructor Summary
`TemplateBuffer(String string, TemplateVariable[] variables)` Creates a template buffer.

Method Summary
`String` | `getString()` Returns the string of the template buffer.
`TemplateVariable[]` | `getVariables()` Returns the variable positions of the template buffer.
`void` | `setContent(String string, TemplateVariable[] variables)` Sets the content of the template buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateBuffer

    public TemplateBuffer(String string,
                          TemplateVariable[] variables)

  Creates a template buffer.

Parameters:
  `string` - the string
  `variables` - the variable positions

Method Detail

### setContent

    public final void setContent(String string,
                                 TemplateVariable[] variables)

  Sets the content of the template buffer.

  Parameters:
    `string` - the string
    `variables` - the variable positions

### getString

    public final String getString()

  Returns the string of the template buffer.

  Returns:
    the string representation of the template buffer

### getVariables

    public final TemplateVariable[] getVariables()

  Returns the variable positions of the template buffer.

  Returns:
    the variable positions of the template buffer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.